diff --git a/src/services/comfyManagerService.ts b/src/services/comfyManagerService.ts
index b98be5958..6bc09b4ae 100644
--- a/src/services/comfyManagerService.ts
+++ b/src/services/comfyManagerService.ts
@@ -1,17 +1,18 @@
 import axios, { AxiosError, AxiosResponse } from 'axios'
+import { v4 as uuidv4 } from 'uuid'
 import { ref } from 'vue'
 
 import { api } from '@/scripts/api'
-import {
-  type InstallPackParams,
-  type InstalledPacksResponse,
-  type ManagerPackInfo,
-  type ManagerQueueStatus,
-  SelectedVersion,
-  type UpdateAllPacksParams
-} from '@/types/comfyManagerTypes'
+import { components } from '@/types/generatedManagerTypes'
 import { isAbortError } from '@/utils/typeGuardUtil'
 
+type ManagerQueueStatus = components['schemas']['QueueStatus']
+type InstallPackParams = components['schemas']['InstallPackParams']
+type InstalledPacksResponse = components['schemas']['InstalledPacksResponse']
+type UpdateAllPacksParams = components['schemas']['UpdateAllPacksParams']
+type ManagerTaskHistory = components['schemas']['HistoryResponse']
+type QueueTaskItem = components['schemas']['QueueTaskItem']
+
 const GENERIC_SECURITY_ERR_MSG =
   'Forbidden: A security error has occurred. Please check the terminal logs'
 
@@ -22,21 +23,19 @@ enum ManagerRoute {
   START_QUEUE = 'manager/queue/start',
   RESET_QUEUE = 'manager/queue/reset',
   QUEUE_STATUS = 'manager/queue/status',
-  INSTALL = 'manager/queue/install',
-  UPDATE = 'manager/queue/update',
   UPDATE_ALL = 'manager/queue/update_all',
-  UNINSTALL = 'manager/queue/uninstall',
-  DISABLE = 'manager/queue/disable',
-  FIX_NODE = 'manager/queue/fix',
   LIST_INSTALLED = 'customnode/installed',
   GET_NODES = 'customnode/getmappings',
-  GET_PACKS = 'customnode/getlist',
   IMPORT_FAIL_INFO = 'customnode/import_fail_info',
-  REBOOT = 'manager/reboot'
+  IMPORT_FAIL_INFO_BULK = 'customnode/import_fail_info_bulk',
+  REBOOT = 'manager/reboot',
+  IS_LEGACY_MANAGER_UI = 'manager/is_legacy_manager_ui',
+  TASK_HISTORY = 'manager/queue/history',
+  QUEUE_TASK = 'manager/queue/task'
 }
 
 const managerApiClient = axios.create({
-  baseURL: api.apiURL(''),
+  baseURL: api.apiURL('/v2/'),
   headers: {
     'Content-Type': 'application/json'
   }
@@ -49,7 +48,6 @@ const managerApiClient = axios.create({
 export const useComfyManagerService = () => {
   const isLoading = ref(false)
   const error = ref<string | null>(null)
-  const didStartQueue = ref(false)
 
   const handleRequestError = (
     err: unknown,
@@ -110,28 +108,21 @@ export const useComfyManagerService = () => {
       201: 'Created: ComfyUI-Manager job queue is already running'
     }
 
-    didStartQueue.value = true
-
     return executeRequest<null>(
       () => managerApiClient.get(ManagerRoute.START_QUEUE, { signal }),
       { errorContext, routeSpecificErrors }
     )
   }
 
-  const getQueueStatus = async (signal?: AbortSignal) => {
+  const getQueueStatus = async (client_id?: string, signal?: AbortSignal) => {
     const errorContext = 'Getting ComfyUI-Manager queue status'
 
     return executeRequest<ManagerQueueStatus>(
-      () => managerApiClient.get(ManagerRoute.QUEUE_STATUS, { signal }),
-      { errorContext }
-    )
-  }
-
-  const resetQueue = async (signal?: AbortSignal) => {
-    const errorContext = 'Resetting ComfyUI-Manager queue'
-
-    return executeRequest<null>(
-      () => managerApiClient.get(ManagerRoute.RESET_QUEUE, { signal }),
+      () =>
+        managerApiClient.get(ManagerRoute.QUEUE_STATUS, {
+          params: client_id ? { client_id } : undefined,
+          signal
+        }),
       { errorContext }
     )
   }
@@ -154,73 +145,81 @@ export const useComfyManagerService = () => {
     )
   }
 
-  const installPack = async (
-    params: InstallPackParams,
+  const getImportFailInfoBulk = async (
+    params: components['schemas']['ImportFailInfoBulkRequest'] = {},
     signal?: AbortSignal
   ) => {
-    const errorContext = `Installing pack ${params.id}`
+    const errorContext = 'Fetching bulk import failure information'
+
+    return executeRequest<components['schemas']['ImportFailInfoBulkResponse']>(
+      () =>
+        managerApiClient.post(ManagerRoute.IMPORT_FAIL_INFO_BULK, params, {
+          signal
+        }),
+      { errorContext }
+    )
+  }
+
+  const queueTask = async (
+    kind: QueueTaskItem['kind'],
+    params: QueueTaskItem['params'],
+    ui_id?: string,
+    signal?: AbortSignal
+  ) => {
+    const task: QueueTaskItem = {
+      kind,
+      params,
+      ui_id: ui_id || uuidv4(),
+      client_id: api.clientId ?? api.initialClientId ?? 'unknown'
+    }
+
+    const errorContext = `Queueing ${task.kind} task`
     const routeSpecificErrors = {
       403: GENERIC_SECURITY_ERR_MSG,
-      404:
-        params.selected_version === SelectedVersion.NIGHTLY
-          ? `Not Found: Node pack ${params.id} does not provide nightly version`
-          : GENERIC_SECURITY_ERR_MSG
+      404: `Not Found: Task could not be queued`
     }
 
     return executeRequest<null>(
-      () => managerApiClient.post(ManagerRoute.INSTALL, params, { signal }),
+      () => managerApiClient.post(ManagerRoute.QUEUE_TASK, task, { signal }),
       { errorContext, routeSpecificErrors, isQueueOperation: true }
     )
   }
 
+  const installPack = async (
+    params: InstallPackParams,
+    ui_id?: string,
+    signal?: AbortSignal
+  ) => {
+    return queueTask('install', params, ui_id, signal)
+  }
+
   const uninstallPack = async (
-    params: ManagerPackInfo,
+    params: components['schemas']['UninstallPackParams'],
+    ui_id?: string,
     signal?: AbortSignal
   ) => {
-    const errorContext = `Uninstalling pack ${params.id}`
-    const routeSpecificErrors = {
-      403: GENERIC_SECURITY_ERR_MSG
-    }
-
-    return executeRequest<null>(
-      () => managerApiClient.post(ManagerRoute.UNINSTALL, params, { signal }),
-      { errorContext, routeSpecificErrors, isQueueOperation: true }
-    )
+    return queueTask('uninstall', params, ui_id, signal)
   }
 
   const disablePack = async (
-    params: ManagerPackInfo,
+    params: components['schemas']['DisablePackParams'],
+    ui_id?: string,
     signal?: AbortSignal
   ): Promise<null> => {
-    const errorContext = `Disabling pack ${params.id}`
-    const routeSpecificErrors = {
-      404: `Pack ${params.id} not found or not installed`,
-      409: `Pack ${params.id} is already disabled`
-    }
-
-    return executeRequest<null>(
-      () => managerApiClient.post(ManagerRoute.DISABLE, params, { signal }),
-      { errorContext, routeSpecificErrors, isQueueOperation: true }
-    )
+    return queueTask('disable', params, ui_id, signal)
   }
 
   const updatePack = async (
-    params: ManagerPackInfo,
+    params: components['schemas']['UpdatePackParams'],
+    ui_id?: string,
     signal?: AbortSignal
   ): Promise<null> => {
-    const errorContext = `Updating pack ${params.id}`
-    const routeSpecificErrors = {
-      403: GENERIC_SECURITY_ERR_MSG
-    }
-
-    return executeRequest<null>(
-      () => managerApiClient.post(ManagerRoute.UPDATE, params, { signal }),
-      { errorContext, routeSpecificErrors, isQueueOperation: true }
-    )
+    return queueTask('update', params, ui_id, signal)
   }
 
   const updateAllPacks = async (
-    params?: UpdateAllPacksParams,
+    params: UpdateAllPacksParams = {},
+    ui_id?: string,
     signal?: AbortSignal
   ) => {
     const errorContext = 'Updating all packs'
@@ -229,8 +228,18 @@ export const useComfyManagerService = () => {
       401: 'Unauthorized: ComfyUI-Manager job queue is busy'
     }
 
+    const queryParams = {
+      mode: params.mode,
+      client_id: api.clientId ?? api.initialClientId ?? 'unknown',
+      ui_id: ui_id || uuidv4()
+    }
+
     return executeRequest<null>(
-      () => managerApiClient.get(ManagerRoute.UPDATE_ALL, { params, signal }),
+      () =>
+        managerApiClient.get(ManagerRoute.UPDATE_ALL, {
+          params: queryParams,
+          signal
+        }),
       { errorContext, routeSpecificErrors, isQueueOperation: true }
     )
   }
@@ -247,6 +256,36 @@ export const useComfyManagerService = () => {
     )
   }
 
+  const isLegacyManagerUI = async (signal?: AbortSignal) => {
+    const errorContext = 'Checking if user set Manager to use the legacy UI'
+
+    return executeRequest<{ is_legacy_manager_ui: boolean }>(
+      () => managerApiClient.get(ManagerRoute.IS_LEGACY_MANAGER_UI, { signal }),
+      { errorContext }
+    )
+  }
+
+  const getTaskHistory = async (
+    options: {
+      ui_id?: string
+      max_items?: number
+      client_id?: string
+      offset?: number
+    } = {},
+    signal?: AbortSignal
+  ) => {
+    const errorContext = 'Getting ComfyUI-Manager task history'
+
+    return executeRequest<ManagerTaskHistory>(
+      () =>
+        managerApiClient.get(ManagerRoute.TASK_HISTORY, {
+          params: options,
+          signal
+        }),
+      { errorContext }
+    )
+  }
+
   return {
     // State
     isLoading,
@@ -254,12 +293,13 @@ export const useComfyManagerService = () => {
 
     // Queue operations
     startQueue,
-    resetQueue,
     getQueueStatus,
+    getTaskHistory,
 
     // Pack management
     listInstalledPacks,
     getImportFailInfo,
+    getImportFailInfoBulk,
     installPack,
     uninstallPack,
     enablePack: installPack, // enable is done via install
@@ -268,6 +308,7 @@ export const useComfyManagerService = () => {
     updateAllPacks,
 
     // System operations
-    rebootComfyUI
+    rebootComfyUI,
+    isLegacyManagerUI
   }
 }
diff --git a/src/services/comfyRegistryService.ts b/src/services/comfyRegistryService.ts
index 20b418cfa..0221bd00c 100644
--- a/src/services/comfyRegistryService.ts
+++ b/src/services/comfyRegistryService.ts
@@ -359,6 +359,55 @@ export const useComfyRegistryService = () => {
     )
   }
 
+  /**
+   * Get multiple pack versions in a single bulk request.
+   * This is more efficient than making individual requests for each pack version.
+   *
+   * @param nodeVersions - Array of node ID and version pairs to retrieve
+   * @param signal - Optional AbortSignal for request cancellation
+   * @returns Bulk response containing the requested node versions or null on error
+   *
+   * @example
+   * ```typescript
+   * const versions = await getBulkNodeVersions([
+   *   { node_id: 'ComfyUI-Manager', version: '1.0.0' },
+   *   { node_id: 'ComfyUI-Impact-Pack', version: '2.0.0' }
+   * ])
+   * if (versions) {
+   *   versions.node_versions.forEach(result => {
+   *     if (result.status === 'success' && result.node_version) {
+   *       console.log(`Retrieved ${result.identifier.node_id}@${result.identifier.version}`)
+   *     }
+   *   })
+   * }
+   * ```
+   */
+  const getBulkNodeVersions = async (
+    nodeVersions: components['schemas']['NodeVersionIdentifier'][],
+    signal?: AbortSignal
+  ) => {
+    const endpoint = '/bulk/nodes/versions'
+    const errorContext = 'Failed to get bulk node versions'
+    const routeSpecificErrors = {
+      400: 'Bad request: Invalid node version identifiers provided'
+    }
+
+    const requestBody: components['schemas']['BulkNodeVersionsRequest'] = {
+      node_versions: nodeVersions
+    }
+
+    return executeApiRequest(
+      () =>
+        registryApiClient.post<
+          components['schemas']['BulkNodeVersionsResponse']
+        >(endpoint, requestBody, {
+          signal
+        }),
+      errorContext,
+      routeSpecificErrors
+    )
+  }
+
   return {
     isLoading,
     error,
@@ -372,6 +421,7 @@ export const useComfyRegistryService = () => {
     listPacksForPublisher,
     getNodeDefs,
     postPackReview,
-    inferPackFromNodeName
+    inferPackFromNodeName,
+    getBulkNodeVersions
   }
 }
diff --git a/src/services/dialogService.ts b/src/services/dialogService.ts
index abbe2ecb4..98a35f59b 100644
--- a/src/services/dialogService.ts
+++ b/src/services/dialogService.ts
@@ -14,6 +14,9 @@ import TopUpCreditsDialogContent from '@/components/dialog/content/TopUpCreditsD
 import UpdatePasswordContent from '@/components/dialog/content/UpdatePasswordContent.vue'
 import ManagerDialogContent from '@/components/dialog/content/manager/ManagerDialogContent.vue'
 import ManagerHeader from '@/components/dialog/content/manager/ManagerHeader.vue'
+import NodeConflictDialogContent from '@/components/dialog/content/manager/NodeConflictDialogContent.vue'
+import NodeConflictFooter from '@/components/dialog/content/manager/NodeConflictFooter.vue'
+import NodeConflictHeader from '@/components/dialog/content/manager/NodeConflictHeader.vue'
 import ManagerProgressFooter from '@/components/dialog/footer/ManagerProgressFooter.vue'
 import ComfyOrgHeader from '@/components/dialog/header/ComfyOrgHeader.vue'
 import ManagerProgressHeader from '@/components/dialog/header/ManagerProgressHeader.vue'
@@ -27,6 +30,7 @@ import {
   type ShowDialogOptions,
   useDialogStore
 } from '@/stores/dialogStore'
+import type { ConflictDetectionResult } from '@/types/conflictDetectionTypes'
 
 export type ConfirmationDialogType =
   | 'default'
@@ -452,6 +456,54 @@ export const useDialogService = () => {
     })
   }
 
+  function showNodeConflictDialog(
+    options: {
+      showAfterWhatsNew?: boolean
+      conflictedPackages?: ConflictDetectionResult[]
+      dialogComponentProps?: DialogComponentProps
+      buttonText?: string
+      onButtonClick?: () => void
+    } = {}
+  ) {
+    const {
+      dialogComponentProps,
+      buttonText,
+      onButtonClick,
+      showAfterWhatsNew,
+      conflictedPackages
+    } = options
+
+    return dialogStore.showDialog({
+      key: 'global-node-conflict',
+      headerComponent: NodeConflictHeader,
+      footerComponent: NodeConflictFooter,
+      component: NodeConflictDialogContent,
+      dialogComponentProps: {
+        closable: true,
+        pt: {
+          header: { class: '!p-0 !m-0' },
+          content: { class: '!p-0 overflow-y-hidden' },
+          footer: { class: '!p-0' },
+          pcCloseButton: {
+            root: {
+              class:
+                '!w-7 !h-7 !border-none !outline-none !p-2 !m-1.5 bg-gray-500 dark-theme:bg-neutral-700 text-white'
+            }
+          }
+        },
+        ...dialogComponentProps
+      },
+      props: {
+        showAfterWhatsNew,
+        conflictedPackages
+      },
+      footerProps: {
+        buttonText,
+        onButtonClick
+      }
+    })
+  }
+
   return {
     showLoadWorkflowWarning,
     showMissingModelsWarning,
@@ -471,6 +523,7 @@ export const useDialogService = () => {
     confirm,
     toggleManagerDialog,
     toggleManagerProgressDialog,
-    showLayoutDialog
+    showLayoutDialog,
+    showNodeConflictDialog
   }
 }
diff --git a/src/stores/comfyManagerStore.ts b/src/stores/comfyManagerStore.ts
index 0568711f7..a23f7bd81 100644
--- a/src/stores/comfyManagerStore.ts
+++ b/src/stores/comfyManagerStore.ts
@@ -1,21 +1,30 @@
-import { whenever } from '@vueuse/core'
+import { useEventListener, whenever } from '@vueuse/core'
+import { mapKeys } from 'es-toolkit/compat'
 import { defineStore } from 'pinia'
+import { v4 as uuidv4 } from 'uuid'
 import { ref, watch } from 'vue'
 import { useI18n } from 'vue-i18n'
 
 import { useCachedRequest } from '@/composables/useCachedRequest'
 import { useManagerQueue } from '@/composables/useManagerQueue'
 import { useServerLogs } from '@/composables/useServerLogs'
+import { api } from '@/scripts/api'
+import { app } from '@/scripts/app'
 import { useComfyManagerService } from '@/services/comfyManagerService'
 import { useDialogService } from '@/services/dialogService'
-import {
-  InstallPackParams,
-  InstalledPacksResponse,
-  ManagerPackInfo,
-  ManagerPackInstalled,
-  TaskLog,
-  UpdateAllPacksParams
-} from '@/types/comfyManagerTypes'
+import { TaskLog } from '@/types/comfyManagerTypes'
+import { components } from '@/types/generatedManagerTypes'
+
+type InstallPackParams = components['schemas']['InstallPackParams']
+type InstalledPacksResponse = components['schemas']['InstalledPacksResponse']
+type ManagerPackInfo = components['schemas']['ManagerPackInfo']
+type ManagerPackInstalled = components['schemas']['ManagerPackInstalled']
+type ManagerTaskHistory = Record<
+  string,
+  components['schemas']['TaskHistoryItem']
+>
+type ManagerTaskQueue = components['schemas']['TaskStateMessage']
+type UpdateAllPacksParams = components['schemas']['UpdateAllPacksParams']
 
 /**
  * Store for state of installed node packs
@@ -29,16 +38,78 @@ export const useComfyManagerStore = defineStore('comfyManager', () => {
   const enabledPacksIds = ref<Set<string>>(new Set())
   const disabledPacksIds = ref<Set<string>>(new Set())
   const installedPacksIds = ref<Set<string>>(new Set())
+  const installingPacksIds = ref<Set<string>>(new Set())
   const isStale = ref(true)
   const taskLogs = ref<TaskLog[]>([])
+  const succeededTasksLogs = ref<TaskLog[]>([])
+  const failedTasksLogs = ref<TaskLog[]>([])
 
-  const { statusMessage, allTasksDone, enqueueTask, uncompletedCount } =
-    useManagerQueue()
+  const taskHistory = ref<ManagerTaskHistory>({})
+  const succeededTasksIds = ref<string[]>([])
+  const failedTasksIds = ref<string[]>([])
+  const taskQueue = ref<ManagerTaskQueue>({
+    history: {},
+    running_queue: [],
+    pending_queue: [],
+    installed_packs: {}
+  })
+
+  // Track task ID to pack ID mapping for proper state cleanup
+  const taskIdToPackId = ref(new Map<string, string>())
+
+  const managerQueue = useManagerQueue(taskHistory, taskQueue, installedPacks)
+
+  // Listen for task completion events to clean up installing state
+  useEventListener(app.api, 'cm-task-completed', (event: any) => {
+    const taskId = event.detail?.ui_id
+    if (taskId && taskIdToPackId.value.has(taskId)) {
+      const packId = taskIdToPackId.value.get(taskId)!
+      installingPacksIds.value.delete(packId)
+      taskIdToPackId.value.delete(taskId)
+    }
+  })
 
   const setStale = () => {
     isStale.value = true
   }
 
+  const partitionTaskLogs = () => {
+    const successTaskLogs: TaskLog[] = []
+    const failTaskLogs: TaskLog[] = []
+    for (const log of taskLogs.value) {
+      if (failedTasksIds.value.includes(log.taskId)) {
+        failTaskLogs.push(log)
+      } else {
+        successTaskLogs.push(log)
+      }
+    }
+    succeededTasksLogs.value = successTaskLogs
+    failedTasksLogs.value = failTaskLogs
+  }
+
+  const partitionTasks = () => {
+    const successTasksIds = []
+    const failTasksIds = []
+    for (const task of Object.values(taskHistory.value)) {
+      if (task.status?.status_str === 'success') {
+        successTasksIds.push(task.ui_id)
+      } else {
+        failTasksIds.push(task.ui_id)
+      }
+    }
+    succeededTasksIds.value = successTasksIds
+    failedTasksIds.value = failTasksIds
+  }
+
+  whenever(
+    taskHistory,
+    () => {
+      partitionTasks()
+      partitionTaskLogs()
+    },
+    { deep: true }
+  )
+
   const getPackId = (pack: ManagerPackInstalled) => pack.cnr_id || pack.aux_id
 
   const isInstalledPackId = (packName: string | undefined): boolean =>
@@ -49,6 +120,9 @@ export const useComfyManagerStore = defineStore('comfyManager', () => {
     isInstalledPackId(packName) &&
     enabledPacksIds.value.has(packName)
 
+  const isInstallingPackId = (packName: string | undefined): boolean =>
+    !!packName && installingPacksIds.value.has(packName)
+
   const packsToIdSet = (packs: ManagerPackInstalled[]) =>
     packs.reduce((acc, pack) => {
       const id = pack.cnr_id || pack.aux_id
@@ -110,28 +184,58 @@ export const useComfyManagerStore = defineStore('comfyManager', () => {
 
   const refreshInstalledList = async () => {
     const packs = await managerService.listInstalledPacks()
-    if (packs) installedPacks.value = packs
+    if (packs) {
+      // The keys are 'cleaned' by stripping the version suffix.
+      // The pack object itself (the value) still contains the version info.
+      const packsWithCleanedKeys = mapKeys(packs, (_value, key) => {
+        return key.split('@')[0]
+      })
+      installedPacks.value = packsWithCleanedKeys
+    }
     isStale.value = false
   }
 
   whenever(isStale, refreshInstalledList, { immediate: true })
-  whenever(uncompletedCount, () => showManagerProgressDialog())
 
-  const withLogs = (task: () => Promise<null>, taskName: string) => {
-    const { startListening, stopListening, logs } = useServerLogs()
+  const enqueueTaskWithLogs = async (
+    task: (taskId: string) => Promise<null>,
+    taskName: string
+  ) => {
+    const taskId = uuidv4()
+    const { logs } = useServerLogs({
+      ui_id: taskId,
+      immediate: true
+    })
 
-    const loggedTask = async () => {
-      taskLogs.value.push({ taskName, logs: logs.value })
-      await startListening()
-      return task()
+    try {
+      // Show progress dialog immediately when task is queued
+      showManagerProgressDialog()
+      managerQueue.isProcessing.value = true
+
+      // Prepare logging hook
+      taskLogs.value.push({ taskName, taskId, logs: logs.value })
+
+      // Queue the task to the server
+      await task(taskId)
+    } catch (error) {
+      // Reset processing state on error
+      managerQueue.isProcessing.value = false
+
+      // The server has authority over task history in general, but in rare
+      // case of client-side error, we add that to failed tasks from the client side
+      taskHistory.value[taskId] = {
+        ui_id: taskId,
+        client_id: api.clientId || 'unknown',
+        kind: 'error',
+        result: 'failed',
+        status: {
+          status_str: 'error',
+          completed: false,
+          messages: [error instanceof Error ? error.message : String(error)]
+        },
+        timestamp: new Date().toISOString()
+      }
     }
-
-    const onComplete = async () => {
-      await stopListening()
-      setStale()
-    }
-
-    return { task: loggedTask, onComplete }
   }
 
   const installPack = useCachedRequest<InstallPackParams, void>(
@@ -152,39 +256,69 @@ export const useComfyManagerStore = defineStore('comfyManager', () => {
         }
       }
 
-      const task = () => managerService.installPack(params, signal)
-      enqueueTask(withLogs(task, `${actionDescription} ${params.id}`))
+      installingPacksIds.value.add(params.id)
+      const task = (taskId: string) => {
+        taskIdToPackId.value.set(taskId, params.id)
+        return managerService.installPack(params, taskId, signal)
+      }
+      await enqueueTaskWithLogs(task, `${actionDescription} ${params.id}`)
     },
     { maxSize: 1 }
   )
 
-  const uninstallPack = (params: ManagerPackInfo, signal?: AbortSignal) => {
+  const uninstallPack = async (
+    params: ManagerPackInfo,
+    signal?: AbortSignal
+  ) => {
     installPack.clear()
     installPack.cancel()
-    const task = () => managerService.uninstallPack(params, signal)
-    enqueueTask(withLogs(task, t('manager.uninstalling', { id: params.id })))
+
+    installingPacksIds.value.add(params.id)
+    const uninstallParams: components['schemas']['UninstallPackParams'] = {
+      node_name: params.id,
+      is_unknown: false
+    }
+    const task = (taskId: string) => {
+      taskIdToPackId.value.set(taskId, params.id)
+      return managerService.uninstallPack(uninstallParams, taskId, signal)
+    }
+    await enqueueTaskWithLogs(
+      task,
+      t('manager.uninstalling', { id: params.id })
+    )
   }
 
   const updatePack = useCachedRequest<ManagerPackInfo, void>(
     async (params: ManagerPackInfo, signal?: AbortSignal) => {
       updateAllPacks.cancel()
-      const task = () => managerService.updatePack(params, signal)
-      enqueueTask(withLogs(task, t('g.updating', { id: params.id })))
+      const updateParams: components['schemas']['UpdatePackParams'] = {
+        node_name: params.id,
+        node_ver: params.version
+      }
+      const task = (taskId: string) =>
+        managerService.updatePack(updateParams, taskId, signal)
+      await enqueueTaskWithLogs(task, t('g.updating', { id: params.id }))
     },
     { maxSize: 1 }
   )
 
   const updateAllPacks = useCachedRequest<UpdateAllPacksParams, void>(
     async (params: UpdateAllPacksParams, signal?: AbortSignal) => {
-      const task = () => managerService.updateAllPacks(params, signal)
-      enqueueTask(withLogs(task, t('manager.updatingAllPacks')))
+      const task = (taskId: string) =>
+        managerService.updateAllPacks(params, taskId, signal)
+      await enqueueTaskWithLogs(task, t('manager.updatingAllPacks'))
     },
     { maxSize: 1 }
   )
 
-  const disablePack = (params: ManagerPackInfo, signal?: AbortSignal) => {
-    const task = () => managerService.disablePack(params, signal)
-    enqueueTask(withLogs(task, t('g.disabling', { id: params.id })))
+  const disablePack = async (params: ManagerPackInfo, signal?: AbortSignal) => {
+    const disableParams: components['schemas']['DisablePackParams'] = {
+      node_name: params.id,
+      is_unknown: false
+    }
+    const task = (taskId: string) =>
+      managerService.disablePack(disableParams, taskId, signal)
+    await enqueueTaskWithLogs(task, t('g.disabling', { id: params.id }))
   }
 
   const getInstalledPackVersion = (packId: string) => {
@@ -196,15 +330,33 @@ export const useComfyManagerStore = defineStore('comfyManager', () => {
     taskLogs.value = []
   }
 
+  const resetTaskState = () => {
+    // Clear all task-related reactive state for fresh start after restart
+    taskLogs.value = []
+    taskHistory.value = {}
+    succeededTasksIds.value = []
+    failedTasksIds.value = []
+    succeededTasksLogs.value = []
+    failedTasksLogs.value = []
+    installingPacksIds.value.clear()
+    taskIdToPackId.value.clear()
+
+    // Reset task queue to initial state
+    taskQueue.value = {
+      history: {},
+      running_queue: [],
+      pending_queue: [],
+      installed_packs: {}
+    }
+  }
+
   return {
     // Manager state
     isLoading: managerService.isLoading,
     error: managerService.error,
-    statusMessage,
-    allTasksDone,
-    uncompletedCount,
     taskLogs,
     clearLogs,
+    resetTaskState,
     setStale,
 
     // Installed packs state
@@ -212,9 +364,20 @@ export const useComfyManagerStore = defineStore('comfyManager', () => {
     installedPacksIds,
     isPackInstalled: isInstalledPackId,
     isPackEnabled: isEnabledPackId,
+    isPackInstalling: isInstallingPackId,
     getInstalledPackVersion,
     refreshInstalledList,
 
+    // Task queue state and actions
+    taskHistory,
+    taskQueue,
+    isProcessingTasks: managerQueue.isProcessing,
+    succeededTasksIds,
+    failedTasksIds,
+    succeededTasksLogs,
+    failedTasksLogs,
+    managerQueue,
+
     // Pack actions
     installPack,
     uninstallPack,
@@ -234,6 +397,15 @@ export const useManagerProgressDialogStore = defineStore(
   'managerProgressDialog',
   () => {
     const isExpanded = ref(false)
+    const activeTabIndex = ref(0)
+
+    const setActiveTabIndex = (index: number) => {
+      activeTabIndex.value = index
+    }
+
+    const getActiveTabIndex = () => {
+      return activeTabIndex.value
+    }
 
     const toggle = () => {
       isExpanded.value = !isExpanded.value
@@ -250,7 +422,9 @@ export const useManagerProgressDialogStore = defineStore(
       isExpanded,
       toggle,
       collapse,
-      expand
+      expand,
+      setActiveTabIndex,
+      getActiveTabIndex
     }
   }
 )
diff --git a/src/stores/conflictDetectionStore.ts b/src/stores/conflictDetectionStore.ts
new file mode 100644
index 000000000..598d17896
--- /dev/null
+++ b/src/stores/conflictDetectionStore.ts
@@ -0,0 +1,70 @@
+import { defineStore } from 'pinia'
+import { computed, ref } from 'vue'
+
+import type { ConflictDetectionResult } from '@/types/conflictDetectionTypes'
+
+export const useConflictDetectionStore = defineStore(
+  'conflictDetection',
+  () => {
+    // State
+    const conflictedPackages = ref<ConflictDetectionResult[]>([])
+    const isDetecting = ref(false)
+    const lastDetectionTime = ref<string | null>(null)
+
+    // Getters
+    const hasConflicts = computed(() =>
+      conflictedPackages.value.some((pkg) => pkg.has_conflict)
+    )
+
+    const getConflictsForPackageByID = computed(
+      () => (packageId: string) =>
+        conflictedPackages.value.find((pkg) => pkg.package_id === packageId)
+    )
+
+    const bannedPackages = computed(() =>
+      conflictedPackages.value.filter((pkg) =>
+        pkg.conflicts.some((conflict) => conflict.type === 'banned')
+      )
+    )
+
+    const securityPendingPackages = computed(() =>
+      conflictedPackages.value.filter((pkg) =>
+        pkg.conflicts.some((conflict) => conflict.type === 'pending')
+      )
+    )
+
+    // Actions
+    function setConflictedPackages(packages: ConflictDetectionResult[]) {
+      conflictedPackages.value = [...packages]
+    }
+
+    function clearConflicts() {
+      conflictedPackages.value = []
+    }
+
+    function setDetecting(detecting: boolean) {
+      isDetecting.value = detecting
+    }
+
+    function setLastDetectionTime(time: string) {
+      lastDetectionTime.value = time
+    }
+
+    return {
+      // State
+      conflictedPackages,
+      isDetecting,
+      lastDetectionTime,
+      // Getters
+      hasConflicts,
+      getConflictsForPackageByID,
+      bannedPackages,
+      securityPendingPackages,
+      // Actions
+      setConflictedPackages,
+      clearConflicts,
+      setDetecting,
+      setLastDetectionTime
+    }
+  }
+)
diff --git a/src/stores/dialogStore.ts b/src/stores/dialogStore.ts
index 1b1ee14c5..f74e44c7d 100644
--- a/src/stores/dialogStore.ts
+++ b/src/stores/dialogStore.ts
@@ -43,6 +43,7 @@ interface DialogInstance {
   component: Component
   contentProps: Record<string, any>
   footerComponent?: Component
+  footerProps?: Record<string, any>
   dialogComponentProps: DialogComponentProps
   priority: number
 }
@@ -54,6 +55,7 @@ export interface ShowDialogOptions {
   footerComponent?: Component
   component: Component
   props?: Record<string, any>
+  footerProps?: Record<string, any>
   dialogComponentProps?: DialogComponentProps
   /**
    * Optional priority for dialog stacking.
@@ -127,6 +129,7 @@ export const useDialogStore = defineStore('dialog', () => {
     footerComponent?: Component
     component: Component
     props?: Record<string, any>
+    footerProps?: Record<string, any>
     dialogComponentProps?: DialogComponentProps
     priority?: number
   }) {
@@ -146,6 +149,7 @@ export const useDialogStore = defineStore('dialog', () => {
         : undefined,
       component: markRaw(options.component),
       contentProps: { ...options.props },
+      footerProps: { ...options.footerProps },
       priority: options.priority ?? 1,
       dialogComponentProps: {
         maximizable: false,
